ELFTC_TIMESTAMP(3)

NAME
elftc_timestamp - return the current or environment-provided timestamp

LIBRARY
libelftc

SYNOPSIS
#include <libelftc.h>
int
elftc_timestamp(time_t *timestamp);

DESCRIPTION
The elftc_timestamp() function returns a timestamp supplied by the SOURCE_DATE_EPOCH environment variable, or the current time provided by time(3) if the environment variable is not set.

The timestamp argument specifies a pointer to the location where the timestamp will be stored.

RETURN VALUE
Function elftc_timestamp() returns 0 on success, and -1 in the event of an error.

ERRORS
The elftc_timestamp() function may fail with the following errors:

[EINVAL]
    SOURCE_DATE_EPOCH contains invalid characters.

[ERANGE]
    SOURCE_DATE_EPOCH specifies a negative value or a value that cannot be stored in a time_t.
The elftc_timestamp() function may also fail for any of the reasons described in strtoll(3).

SEE ALSO
strtoll(3), time(3)